package com.zcloud.service.risk.impl;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;
import com.zcloud.mapper.datasource.risk.ResourceCorpMapper;
import com.zcloud.service.risk.ResourceCorpService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 说明：资源库企业管理
 * 作者：luoxiaobao
 * 时间：2021-03-22
 * 官网：www.zcloudchina.com
 */
@Service
@Transactional //开启事物
public class ResourceCorpServiceImpl implements ResourceCorpService {

	@Autowired
	private ResourceCorpMapper resourcecorpMapper;

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	public void save(PageData pd)throws Exception{
		resourcecorpMapper.save(pd);
	}

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	public void delete(PageData pd)throws Exception{
		resourcecorpMapper.delete(pd);
	}

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	public void edit(PageData pd)throws Exception{
		resourcecorpMapper.edit(pd);
	}

	/**修改状态
	 * @param pd
	 * @throws Exception
	 */
	public void editStatus(PageData pd)throws Exception{
		resourcecorpMapper.editStatus(pd);
	}

	/**列表
	 * @param page
	 * @throws Exception
	 */
	public List<PageData> list(Page page)throws Exception{
		return resourcecorpMapper.datalistPage(page);
	}

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listAll(PageData pd)throws Exception{
		return resourcecorpMapper.listAll(pd);
	}

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	public PageData findById(PageData pd)throws Exception{
		return resourcecorpMapper.findById(pd);
	}

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	public int countByCorpId(PageData pd)throws Exception{
		return resourcecorpMapper.countByCorpId(pd);
	}

	/**批量删除
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	public void deleteAll(PageData pd)throws Exception{
		resourcecorpMapper.deleteAll(pd);
	}

}

